shevek::dl(3)

NAME
shevek::dl - Load symbols from dynamic libraries.

SYNOPSIS

#include <dl.hh>

Inherits shevek::refbase.

  Public Member Functions

~dl ()
Close object and free structures.
void open (std::string const &file=std::string())
Open a shared library.
void close ()
Close the library, freeing the resources.
template<typename T > T & get (std::string const &name)
Get a symbol from the library.

  Static Public Member Functions

static Glib::RefPtr< dl > create ()
Create a new dl object.

  Additional Inherited Members

Detailed Description

Load symbols from dynamic libraries.

Usage: create, open, get, get, ..., close

Member Function Documentation

  void shevek::dl::close ()

Close the library, freeing the resources. This is done automatically if open is called again, or the object is destroyed.

  template<typename T > T & shevek::dl::get (std::string const & name)

Get a symbol from the library. Its type must be given by the caller and cannot be checked for correctness.

Author

Generated automatically by Doxygen for libshevek from the source code.